Cupti: CUpti_ActivityEnvironment Struct Reference

# CUpti_ActivityEnvironment Struct Reference
[CUPTI Activity API]

The activity record for CUPTI environmental data. More...

## Data Fields
uint32_t | deviceId
CUpti_ActivityEnvironmentKind | environmentKind
CUpti_ActivityKind | kind
uint64_t | timestamp
CUpti_EnvironmentClocksThrottleReason | clocksThrottleReasons
struct {
uint32_t fanSpeed
} | cooling
uint32_t | gpuTemperature
uint32_t | memoryClock
uint32_t | pcieLinkGen
uint32_t | pcieLinkWidth
struct {
uint32_t power
uint32_t powerLimit
} | power
uint32_t | smClock
struct {
CUpti_EnvironmentClocksThrottleReason clocksThrottleReasons
uint32_t memoryClock
uint32_t pcieLinkGen
uint32_t pcieLinkWidth
uint32_t smClock
} | speed
struct {
uint32_t gpuTemperature
} | temperature

## Detailed Description

This activity record provides CUPTI environmental data, include power, clocks, and thermals. This information is sampled at various rates and returned in this activity record. The consumer of the record needs to check the environmentKind field to figure out what kind of environmental record this is.

## Field Documentation

CUpti_EnvironmentClocksThrottleReason CUpti_ActivityEnvironment::clocksThrottleReasons

The clocks throttle reasons.

struct { ... } CUpti_ActivityEnvironment::cooling

Data returned for CUPTI_ACTIVITY_ENVIRONMENT_COOLING environment kind.

uint32_t CUpti_ActivityEnvironment::deviceId

The ID of the device

CUpti_ActivityEnvironmentKind CUpti_ActivityEnvironment::environmentKind

The kind of data reported in this record.

uint32_t CUpti_ActivityEnvironment::fanSpeed

The fan speed as percentage of maximum.

uint32_t CUpti_ActivityEnvironment::gpuTemperature

The GPU temperature in degrees C.

CUpti_ActivityKind CUpti_ActivityEnvironment::kind

The activity record kind, must be CUPTI_ACTIVITY_KIND_ENVIRONMENT.

uint32_t CUpti_ActivityEnvironment::memoryClock

The memory frequency in MHz

uint32_t CUpti_ActivityEnvironment::pcieLinkGen

The PCIe link generation.

uint32_t CUpti_ActivityEnvironment::pcieLinkWidth

The PCIe link width.

struct { ... } CUpti_ActivityEnvironment::power

Data returned for CUPTI_ACTIVITY_ENVIRONMENT_POWER environment kind.

uint32_t CUpti_ActivityEnvironment::power

The power in milliwatts consumed by GPU and associated circuitry.

uint32_t CUpti_ActivityEnvironment::powerLimit

The power in milliwatts that will trigger power management algorithm.

uint32_t CUpti_ActivityEnvironment::smClock

The SM frequency in MHz

struct { ... } CUpti_ActivityEnvironment::speed

Data returned for CUPTI_ACTIVITY_ENVIRONMENT_SPEED environment kind.

struct { ... } CUpti_ActivityEnvironment::temperature

Data returned for CUPTI_ACTIVITY_ENVIRONMENT_TEMPERATURE environment kind.

uint64_t CUpti_ActivityEnvironment::timestamp

The timestamp when this sample was retrieved, in ns. A value of 0 indicates that timestamp information could not be collected for the marker.